Package org.apache.ignite.spi.systemview.view

## Class SnapshotView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SnapshotView

-     public class SnapshotView
      extends Object

  Snapshot representation for a `SystemView`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SNAPSHOT_SYS_VIEW` | Snapshot system view name.
    `static String` | `SNAPSHOT_SYS_VIEW_DESC` | Snapshot system view description.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnapshotView​(org.apache.ignite.internal.processors.cache.persistence.snapshot.IncrementalSnapshotMetadata incMeta)` |
    `SnapshotView​(org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotMetadata meta, Collection<String> cacheGrps)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `baselineNodes()` |
    `String` | `cacheGroups()` |
    `String` | `consistentId()` |
    `Integer` | `incrementIndex()` |
    `String` | `name()` |
    `Long` | `snapshotRecordSegment()` |
    `Long` | `snapshotTime()` |
    `String` | `type()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SNAPSHOT_SYS_VIEW

          public static final String SNAPSHOT_SYS_VIEW

      Snapshot system view name.
      See Also:
        Constant Field Values

    - #### SNAPSHOT_SYS_VIEW_DESC

          public static final String SNAPSHOT_SYS_VIEW_DESC

      Snapshot system view description.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SnapshotView

          public SnapshotView​(org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotMetadata meta,
                              Collection<String> cacheGrps)

      Parameters:
        `meta` - Snapshot metadata.
        `cacheGrps` - Cache group names that were included in the snapshot.

    - #### SnapshotView

          public SnapshotView​(org.apache.ignite.internal.processors.cache.persistence.snapshot.IncrementalSnapshotMetadata incMeta)

      Parameters:
        `incMeta` - Incremental snapshot metadata.

  - ### Method Detail

    - #### name

          public String name()

      Returns:
        Snapshot name.

    - #### consistentId

          public String consistentId()

      Returns:
        Node consistent ID.

    - #### baselineNodes

          public String baselineNodes()

      Returns:
        Baseline nodes affected by the snapshot.

    - #### cacheGroups

          public String cacheGroups()

      Returns:
        Cache group names that were included in the snapshot.

    - #### snapshotRecordSegment

          public Long snapshotRecordSegment()

      Returns:
        WAL segment that contains `ClusterSnapshotRecord` if exists.

    - #### incrementIndex

          public Integer incrementIndex()

      Returns:
        Incremental snapshot index, `null` for full snapshot.

    - #### type

          public String type()

      Returns:
        Snapshot type.

    - #### snapshotTime

          public Long snapshotTime()

      Returns:
        Creation timestamp in milliseconds since Unix epoch.